package com.dxhy.oss.service;

import com.dxhy.oss.model.FileModel;

/**
 * @author jiaohongyang
 */
public interface JdOssService {
    /**
     * 阿里云OSS文件存储
     *
     * @param file
     *            文件
     * @return 返回
     */
    FileModel uploadFile(String fileName, String file);

    /**
     * 下载
     *
     * @param fileName
     *            文件名称
     * @param filePath
     *            本地文件存储地址
     * @return 返回
     */
    FileModel downloadFile(String fileName, String filePath);

    /**
     * 生成文件下载地址
     *
     * @param key
     *            文件传输路径加名称
     * @return 返回文件下载地址
     */
    FileModel getUrl(String key);

    /**
     * 删除文件
     *
     * @param file
     *            文件信息
     * @return 返回
     */
    FileModel deleteFile(String file);
}
